Index: trunk/MagicSoft/Mars/mcalib/MCalibrationCam.cc
===================================================================
--- trunk/MagicSoft/Mars/mcalib/MCalibrationCam.cc	(revision 3080)
+++ trunk/MagicSoft/Mars/mcalib/MCalibrationCam.cc	(revision 3242)
@@ -556,5 +556,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrCharge();
+      val = (*this)[idx].GetChargeErr();
       break;
     case 2:
@@ -566,5 +566,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrSigmaCharge();
+      val = (*this)[idx].GetSigmaChargeErr();
       break;
     case 4:
@@ -581,5 +581,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrRSigmaCharge();
+      val = (*this)[idx].GetRSigmaChargeErr();
       break;
     case 7:
@@ -592,8 +592,8 @@
         return kFALSE;
       // relative error RsigmaCharge square
-      val =    (*this)[idx].GetErrRSigmaCharge()* (*this)[idx].GetErrRSigmaCharge() 
+      val =    (*this)[idx].GetRSigmaChargeErr()* (*this)[idx].GetRSigmaChargeErr() 
             / ((*this)[idx].GetRSigmaCharge()   * (*this)[idx].GetRSigmaCharge()   );
       // relative error Charge square
-      val +=   (*this)[idx].GetErrCharge() * (*this)[idx].GetErrCharge()
+      val +=   (*this)[idx].GetChargeErr() * (*this)[idx].GetChargeErr()
             / ((*this)[idx].GetCharge()    * (*this)[idx].GetCharge()   );
       // calculate relative error out of squares
@@ -610,5 +610,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetPheFFactorMethodError();
+      val = (*this)[idx].GetPheFFactorMethodErr();
       break;
     case 11:
@@ -620,5 +620,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrorConversionFFactorMethod();
+      val = (*this)[idx].GetConversionFFactorMethodErr();
       break;
     case 13:
@@ -630,5 +630,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetTotalFFactorErrorFFactorMethod();
+      val = (*this)[idx].GetTotalFFactorErrFFactorMethod();
       break;
     case 15:
@@ -650,5 +650,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrorConversionBlindPixelMethod();
+      val = (*this)[idx].GetConversionBlindPixelMethodErr();
       break;
     case 19:
@@ -660,5 +660,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetTotalFFactorErrorBlindPixelMethod();
+      val = (*this)[idx].GetTotalFFactorErrBlindPixelMethod();
       break;
     case 21:
@@ -680,5 +680,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetErrorConversionPINDiodeMethod();
+      val = (*this)[idx].GetConversionPINDiodeMethodErr();
       break;
     case 25:
@@ -690,5 +690,5 @@
       if ((*this)[idx].IsExcluded())
         return kFALSE;
-      val = (*this)[idx].GetTotalFFactorErrorBlindPixelMethod();
+      val = (*this)[idx].GetTotalFFactorErrBlindPixelMethod();
       break;
     case 27:
@@ -914,5 +914,5 @@
           const Float_t charge    = pix->GetCharge();
           const Float_t area      = (*fGeomCam)[idx].GetA();
-          const Float_t chargeerr = pix->GetErrCharge();          
+          const Float_t chargeerr = pix->GetChargeErr();          
 
           const Float_t nphot      = fMeanFluxInsidePlexiglass*area;
@@ -1025,5 +1025,5 @@
           const Float_t charge    = pix->GetCharge();
           const Float_t area      = (*fGeomCam)[idx].GetA();
-          const Float_t chargeerr = pix->GetErrCharge();          
+          const Float_t chargeerr = pix->GetChargeErr();          
 
           const Float_t nphot      = fMeanFluxOutsidePlexiglass*area;
@@ -1066,5 +1066,5 @@
 
   mean  = (*this)[ipx].GetMeanConversionBlindPixelMethod();
-  err   = (*this)[ipx].GetErrorConversionBlindPixelMethod();
+  err   = (*this)[ipx].GetConversionBlindPixelMethodErr();
   sigma = (*this)[ipx].GetSigmaConversionBlindPixelMethod();
 
@@ -1085,5 +1085,5 @@
 
   mean  = conv;
-  err   = (*this)[ipx].GetErrorConversionFFactorMethod();
+  err   = (*this)[ipx].GetConversionFFactorMethodErr();
   sigma = (*this)[ipx].GetSigmaConversionFFactorMethod();
 
@@ -1111,5 +1111,5 @@
 
   mean  = (*this)[ipx].GetMeanConversionPINDiodeMethod();
-  err   = (*this)[ipx].GetErrorConversionPINDiodeMethod();
+  err   = (*this)[ipx].GetConversionPINDiodeMethodErr();
   sigma = (*this)[ipx].GetSigmaConversionPINDiodeMethod();
 