Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 3322)
+++ trunk/MagicSoft/Mars/Changelog	(revision 3324)
@@ -5,48 +5,51 @@
                                                  -*-*- END OF LINE -*-*-
  
+ 2004/02/26: Thomas Bretz
+
+   * mhist/MHCamera.cc:
+     - fixed a function description
+
+   * mreport/MReport.cc, mreport/MReportFileRead.cc:
+     - introduced return case -1
+
+
+
  2004/02/25: Markus Gaug
 
-  * mcalib/MExtractBlindPixel.[h,cc]
-  * mcalib/MExtractPINDiode.[h,cc]
-  * mcalib/MExtractedSignalBlindPixel.[h,cc]
-  * mcalib/MExtractedSignalPINDiode.[h,cc]
-  * mcalib/Makefile
-  * msignal/Makefile
-  * mcalib/CalibLinkDef.h
-  * msignal/SignalLinkDef.h
-    - moved blindpixel and PINdiode extractors to msignal
-
-
-  * mcalib/MCalibrationQECam.[h,cc]
-  * mcalib/MCalibrationQEPix.[h,cc]
-    - two new classes to hold the quantum efficieny information of the 
-      calibration
-
-
-  * msignal/MArrivalTimeCalc.[h,cc]
-    - fill now MArrivalTimePix instead of MArrivalTime
-
-
-  * mcalib/MHCalibrationChargeCam.cc
-    - display only valid pixels for the corr. values in GetPixelContent
-
-
-  * mcalib/MHCalibrationRelTimeCam.cc
-    - is now filled from MArrivalTimeCam instead of MArrivalTime
-
-  * macros/calibration.C
-    - divided into two macros: calibration.C using the MJPedestal
-      standard procedure and   pedestalstudies.C using the old procedures
+   * mcalib/MExtractBlindPixel.[h,cc],
+     mcalib/MExtractPINDiode.[h,cc],
+     mcalib/MExtractedSignalBlindPixel.[h,cc],
+     mcalib/MExtractedSignalPINDiode.[h,cc],
+     mcalib/Makefile, msignal/Makefile, mcalib/CalibLinkDef.h,
+     msignal/SignalLinkDef.h:
+     - moved blindpixel and PINdiode extractors to msignal
+
+
+   * mcalib/MCalibrationQECam.[h,cc], mcalib/MCalibrationQEPix.[h,cc]:
+     - two new classes to hold the quantum efficieny information of the 
+       calibration
+
+   * msignal/MArrivalTimeCalc.[h,cc]
+     - fill now MArrivalTimePix instead of MArrivalTime
+
+   * mcalib/MHCalibrationChargeCam.cc
+     - display only valid pixels for the corr. values in GetPixelContent
+
+   * mcalib/MHCalibrationRelTimeCam.cc
+     - is now filled from MArrivalTimeCam instead of MArrivalTime
+
+   * macros/calibration.C
+     - divided into two macros: calibration.C using the MJPedestal
+       standard procedure and   pedestalstudies.C using the old
+       procedures
     
-  * macros/pedestalstudies.C
-    - new macro containing the first previous part of calibration.C
-
-
-   * mcalib/MCalibrationChargeBlindPix.h
-   * mcalib/MCalibrationChargePINDiode.h
-   * mbase/MAGIC.h
-   * mjobs/MJCalibration.cc
-   
+   * macros/pedestalstudies.C
+     - new macro containing the first previous part of calibration.C
+
+   * mcalib/MCalibrationChargeBlindPix.h,
+     mcalib/MCalibrationChargePINDiode.h, mbase/MAGIC.h,
+     mjobs/MJCalibration.cc:
      - definition of PulserColot_t in MAGIC.h. 
+
 
 
@@ -56,31 +59,29 @@
      - set the include path also to msignals/
 
-   * manalysis/MExtractSignal.[h,cc]
-               MExtractSignal2.[h,cc]
-               MExtractedSignalCam.[h,cc]
-               MExtractedSignalPix.[h,cc]
-               MArrivalTime.[h,cc]
-               MArrivalTimeCalc.[h,cc]
-               MArrivalTimeCalc2.[h,cc]
-               Makefile
-               AnalysisLinkDef.h			
-     - removed the classes
-
-   * msignal/MExtractSignal.[h,cc]
-             MExtractSignal2.[h,cc]
-             MExtractedSignalCam.[h,cc]
-             MExtractedSignalPix.[h,cc]
-             MArrivalTime.[h,cc]
-             MArrivalTimeCalc.[h,cc]
-             MArrivalTimeCalc2.[h,cc]
-             Makefile
-             AnalysisLinkDef.h			
-     - added the classes
+   * manalysis/MExtractSignal.[h,cc], manalysis/MExtractSignal2.[h,cc],
+     manalysis/MExtractedSignalCam.[h,cc],
+     manalysis/MExtractedSignalPix.[h,cc],
+     manalysis/MArrivalTime.[h,cc], manalysis/MArrivalTimeCalc.[h,cc],
+     manalysis/MArrivalTimeCalc2.[h,cc]:
+     - removed
      
-   * mfilter/Makefile
-     mcalib/Makefile
-     mjobs/Makefile
-     mmain/Makefile
+   * manalysis/Makefile, manalysis/AnalysisLinkDef.h:			
+     - removed classes mentioned above
+
+   * msignal/MExtractSignal.[h,cc], msignal/MExtractSignal2.[h,cc],
+     msignal/MExtractedSignalCam.[h,cc],
+     msignal/MExtractedSignalPix.[h,cc],
+     msignal/MArrivalTime.[h,cc], msignal/MArrivalTimeCalc.[h,cc],
+     msignal/MArrivalTimeCalc2.[h,cc]:
+     - added
+
+   * msignal/Makefile, msignal/AnalysisLinkDef.h:			
+     - added classes mentioned above
+     
+   * mfilter/Makefile, mcalib/Makefile, mjobs/Makefile, mmain/Makefile:
+     - added include msignal
     
+
+
 
  2004/02/25: Wolfgang Wittek