Index: trunk/MagicSoft/Mars/Changelog
===================================================================
--- trunk/MagicSoft/Mars/Changelog	(revision 3324)
+++ trunk/MagicSoft/Mars/Changelog	(revision 3325)
@@ -12,4 +12,20 @@
    * mreport/MReport.cc, mreport/MReportFileRead.cc:
      - introduced return case -1
+
+   * Makefile.rules:
+     - remove all dependancy files when calling 'rmdep'
+
+   * mbase/MAGIC.h, mmc/MMcEvt.hxx:
+     - moved ParticleId_t to MMcEvt
+     - implemented MMcEvt::GetParticleName
+     - implemented MMcEvt::GetEnergyStr
+
+   * mfilter/MFGeomag.cc, mfilter/MFParticleId.cc, mhist/MHCompProb.cc,
+     mhist/MHEvent.cc, mhist/MHHadronness.cc, 
+     mmontecarlo/MMcTriggerRateCalc.cc, mranforest/MHRanForest.cc:
+     - fixed usage of ParticleId_t
+
+   * msignal/Makefile:
+     - removed obsolete includes
 
 
Index: trunk/MagicSoft/Mars/Makefile.rules
===================================================================
--- trunk/MagicSoft/Mars/Makefile.rules	(revision 3324)
+++ trunk/MagicSoft/Mars/Makefile.rules	(revision 3325)
@@ -48,6 +48,6 @@
 
 rmdep:	
-	@echo " Removing dependency file..."
-	@rm -f *Dep.d
+	@echo " Removing dependency files..."
+	@rm -f *Dep.d */*Dep.d
 
 rmcore:	
Index: trunk/MagicSoft/Mars/mbase/MAGIC.h
===================================================================
--- trunk/MagicSoft/Mars/mbase/MAGIC.h	(revision 3324)
+++ trunk/MagicSoft/Mars/mbase/MAGIC.h	(revision 3325)
@@ -29,18 +29,4 @@
 
 //
-//     ParticleId for Monte Carlo simulation
-//
-typedef enum
-{
-    kGAMMA  =    1,
-    kPOSITRON =  2,
-    kELECTRON =  3,
-    kPROTON =   14,
-    kHELIUM =  402,
-    kOXYGEN = 1608,
-    kIRON   = 5626
-} ParticleId_t;
-
-//
 //     ColorId for calibration
 //
Index: trunk/MagicSoft/Mars/mfilter/MFGeomag.cc
===================================================================
--- trunk/MagicSoft/Mars/mfilter/MFGeomag.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mfilter/MFGeomag.cc	(revision 3325)
@@ -36,5 +36,4 @@
 //
 /////////////////////////////////////////////////////////////////////////////
-
 #include "MFGeomag.h"
 
@@ -156,5 +155,5 @@
     switch (fMcEvt->GetPartId())
     {
-    case kGAMMA:
+    case MMcEvt::kGAMMA:
         if (!fGammaElectron)     //accept gammas if not set to electrons
             return kTRUE;
@@ -162,13 +161,13 @@
         break;
 
-    case kHELIUM:
+    case MMcEvt::kHELIUM:
         rig /= 2;                //double charge
         break;
 
-    case kPROTON:                //protons
-    case kPOSITRON:              //positrons
-        break;
-
-    case kELECTRON:              //electrons
+    case MMcEvt::kPROTON:                //protons
+    case MMcEvt::kPOSITRON:              //positrons
+        break;
+
+    case MMcEvt::kELECTRON:              //electrons
         indadd = 1152;           //second part of table (negative particles)
         break;
Index: trunk/MagicSoft/Mars/mfilter/MFParticleId.cc
===================================================================
--- trunk/MagicSoft/Mars/mfilter/MFParticleId.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mfilter/MFParticleId.cc	(revision 3325)
@@ -140,19 +140,11 @@
     switch (fValue)
     {
-    case kGAMMA:
-        out << "kGAMMA";
-        break;
-    case kPROTON:
-        out << "kPROTON";
-        break;
-    case kHELIUM:
-        out << "kHELIUM";
-        break;
-    case kOXYGEN:
-        out << "kOXYGEN";
-        break;
-    case kIRON:
-        out << "kIRON";
-        break;
+    case MMcEvt::kGAMMA:    out << "MMcEvt::kGAMMA";    break;
+    case MMcEvt::kPOSITRON: out << "MMcEvt::kPOSITRON"; break;
+    case MMcEvt::kELECTRON: out << "MMcEvt::kELECTRON"; break;
+    case MMcEvt::kPROTON:   out << "MMcEvt::kPROTON";   break;
+    case MMcEvt::kHELIUM:   out << "MMcEvt::kHELIUM";   break;
+    case MMcEvt::kOXYGEN:   out << "MMcEvt::kOXYGEN";   break;
+    case MMcEvt::kIRON:     out << "MMcEvt::kIRON";     break;
     default:
         out << fValue;
Index: trunk/MagicSoft/Mars/mhist/MHCompProb.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHCompProb.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mhist/MHCompProb.cc	(revision 3325)
@@ -168,10 +168,10 @@
     {
     case 0:  // First loop : fill the fixed-bin histograms with gammas.
-        if (mcevt.GetPartId() == kGAMMA)
+        if (mcevt.GetPartId() == MMcEvt::kGAMMA)
             Fill(*fHists);
         return kTRUE;
 
     case 1:   //  Second Loop: fill the variable-bin histograms with protons.
-        if (mcevt.GetPartId() != kGAMMA)
+        if (mcevt.GetPartId() != MMcEvt::kGAMMA)
             Fill(*fHistVar);
         return kTRUE;
Index: trunk/MagicSoft/Mars/mhist/MHEvent.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHEvent.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mhist/MHEvent.cc	(revision 3325)
@@ -237,20 +237,5 @@
         TString txt("#splitline{");
 
-        switch (fMcEvt->GetPartId())
-        {
-        case kGAMMA:
-            txt += "Gamma: ";
-            break;
-        case kPROTON:
-            txt += "Proton: ";
-            break;
-        case kHELIUM:
-            txt += "Helium: ";
-            break;
-        default:
-            s += "Particle Id#";
-            s += fMcEvt->GetPartId();
-            s += ": ";
-        }
+        txt += fMcEvt->GetParticleName();
 
         s.Insert(0, txt);
@@ -258,14 +243,5 @@
         s += "}{  E=";
 
-        if (fMcEvt->GetEnergy()>1000)
-            s += Form("%.1fTeV", fMcEvt->GetEnergy()/1000);
-        else
-            if (fMcEvt->GetEnergy()>10)
-                s += Form("%dGeV", (Int_t)(fMcEvt->GetEnergy()+.5));
-            else
-                if (fMcEvt->GetEnergy()>1)
-                    s += Form("%.1fGeV", fMcEvt->GetEnergy());
-                else
-                    s += Form("%dMeV", (Int_t)(fMcEvt->GetEnergy()*1000+.5));
+        s+= fMcEvt->GetEnergyStr();
 
         s += " r=";
Index: trunk/MagicSoft/Mars/mhist/MHHadronness.cc
===================================================================
--- trunk/MagicSoft/Mars/mhist/MHHadronness.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mhist/MHHadronness.cc	(revision 3325)
@@ -216,5 +216,5 @@
     const Int_t particleid = fMatrix ? (Int_t)(*fMatrix)[fMap] : fMcEvt->GetPartId();
 
-    if (particleid==kGAMMA)
+    if (particleid==MMcEvt::kGAMMA)
         fGhness->Fill(h, w);
     else
Index: trunk/MagicSoft/Mars/mmontecarlo/MMcTriggerRateCalc.cc
===================================================================
--- trunk/MagicSoft/Mars/mmontecarlo/MMcTriggerRateCalc.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mmontecarlo/MMcTriggerRateCalc.cc	(revision 3325)
@@ -332,8 +332,8 @@
         switch (fPartId)
         {
-        case kPROTON:
+        case MMcEvt::kPROTON:
 	  if ((Int_t)floor(-100*fMcCorRunHeader->GetSlopeSpec()+0.5) != 275)
 	    {
-                *fLog << err << dbginf << "Spectrum slope as read from input file (";
+                *fLog << err << "Spectrum slope as read from input file (";
                 *fLog << fMcCorRunHeader->GetSlopeSpec() << ") does not match the expected ";
                 *fLog << "one (-2.75) for protons" << endl << "... aborting." << endl;
@@ -342,8 +342,8 @@
 	  rate.SetFlux(0.1091, 2.75);
 	  break;
-        case kHELIUM:
+        case MMcEvt::kHELIUM:
 	  if ((Int_t)floor(-100*fMcCorRunHeader->GetSlopeSpec()+0.5) != 262)
 	    {
-                *fLog << err << dbginf << "Spectrum slope as read from input file (";
+                *fLog << err << "Spectrum slope as read from input file (";
                 *fLog << fMcCorRunHeader->GetSlopeSpec() << ") does not match the expected ";
                 *fLog << "one (-2.62) for Helium" << endl << "... aborting." << endl;
@@ -353,5 +353,5 @@
 	  break;
         default:
-	  *fLog << err << dbginf << "Unknown incident flux parameters for ";
+	  *fLog << err << "Unknown incident flux parameters for ";
 	  *fLog << fPartId<< " particle Id ... aborting." << endl;
 	  return kFALSE;
Index: trunk/MagicSoft/Mars/mranforest/MHRanForest.cc
===================================================================
--- trunk/MagicSoft/Mars/mranforest/MHRanForest.cc	(revision 3324)
+++ trunk/MagicSoft/Mars/mranforest/MHRanForest.cc	(revision 3325)
@@ -90,7 +90,5 @@
     if (!fMcEvt)
     {
-	TString str =  AddSerialNumber("MMcEvt");
-	str += " not found... aborting.";
-        *fLog << err << dbginf << str << endl;
+        *fLog << err << AddSerialNumber("MMcEvt") << " not found... aborting." << endl;
         return kFALSE;
     }
@@ -99,5 +97,5 @@
     if (!fRanForest)
     {
-        *fLog << err << dbginf << "MRanForest not found... aborting." << endl;
+        *fLog << err << "MRanForest not found... aborting." << endl;
         return kFALSE;
     }
@@ -116,5 +114,5 @@
 
     Double_t hest=0;
-    Double_t htrue=fMcEvt->GetPartId()==kGAMMA ? 0. : 1.;
+    Double_t htrue=fMcEvt->GetPartId()==MMcEvt::kGAMMA ? 0. : 1.;
 
     Int_t ntrees=fRanForest->GetNumTrees();
Index: trunk/MagicSoft/Mars/msignal/Makefile
===================================================================
--- trunk/MagicSoft/Mars/msignal/Makefile	(revision 3324)
+++ trunk/MagicSoft/Mars/msignal/Makefile	(revision 3325)
@@ -22,10 +22,12 @@
 #  connect the include files defined in the config.mk file
 #
-INCLUDES =  -I. -I../mbase -I../mmc -I../mraw -I../mgeom -I../mfilter \
-           -I../mdata -I../mhbase -I../mhist -I../mgui -I../mimage   \
-           -I../mhistmc -I../mfileio -I../mmain -I../mcalib          \
-           -I../mpointing -I../mtools -I../manalysis
+INCLUDES =  -I. -I../mbase -I../mgui -I../mraw -I../manalysis \
+            -I../mgeom -I../mtools
 
-# mgui (MCamEvent), mgeom(MGeomCam)
+# mgui (MCamEvent):         MExtractSignalCam
+# mgeom(MGeomCam):          MArrivalTime
+# mtools(MCubicSpline):     MArrivalTime
+# mraw (MRawEvtData):       MExtractSignal
+# manalysis (MPedestalCam): MExtractSignal
 
 #------------------------------------------------------------------------------