Index: trunk/MagicSoft/AMC/activemirrorcontrol/po/Makefile
===================================================================
--- trunk/MagicSoft/AMC/activemirrorcontrol/po/Makefile	(revision 3403)
+++ 	(revision )
@@ -1,350 +1,0 @@
-# Generated automatically from Makefile.in by config.pl.
-# KDE tags expanded automatically by am_edit - $Revision: 1.1 $ 
-# Makefile.in generated automatically by automake 1.4 from Makefile.am
-
-# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
-# This Makefile.in is free software; the Free Software Foundation
-# gives unlimited permission to copy and/or distribute it,
-# with or without modifications, as long as this notice is preserved.
-
-# This program is distributed in the hope that it will be useful,
-# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
-# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
-# PARTICULAR PURPOSE.
-
-####### kdevelop will overwrite this part!!! (begin)##########
-
-####### kdevelop will overwrite this part!!! (end)############
-
-
-SHELL = /bin/sh
-
-srcdir = .
-top_srcdir = ..
-VPATH = .
-prefix = /opt/kde2
-exec_prefix = ${prefix}
-#>- 
-bindir = ${exec_prefix}/bin
-#>+ 3
-DEPDIR = .deps
-
-bindir = ${exec_prefix}/bin
-sbindir = ${exec_prefix}/sbin
-libexecdir = ${exec_prefix}/libexec
-datadir = ${prefix}/share
-sysconfdir = ${prefix}/etc
-sharedstatedir = ${prefix}/com
-localstatedir = ${prefix}/var
-libdir = ${exec_prefix}/lib
-infodir = ${prefix}/info
-mandir = ${prefix}/man
-includedir = ${prefix}/include
-oldincludedir = /usr/include
-
-DESTDIR =
-
-pkgdatadir = $(datadir)/activemirrorcontrol
-pkglibdir = $(libdir)/activemirrorcontrol
-pkgincludedir = $(includedir)/activemirrorcontrol
-
-top_builddir = ..
-
-ACLOCAL = aclocal
-AUTOCONF = autoconf
-AUTOMAKE = automake
-AUTOHEADER = autoheader
-
-INSTALL = /usr/bin/ginstall -c -p
-INSTALL_PROGRAM = ${INSTALL} $(INSTALL_STRIP_FLAG) $(AM_INSTALL_PROGRAM_FLAGS)
-INSTALL_DATA = ${INSTALL} -m 644
-INSTALL_SCRIPT = ${INSTALL}
-transform = s,x,x,
-
-NORMAL_INSTALL = :
-PRE_INSTALL = :
-POST_INSTALL = :
-NORMAL_UNINSTALL = :
-PRE_UNINSTALL = :
-POST_UNINSTALL = :
-build_alias = i686-pc-linux-gnu
-build_triplet = i686-pc-linux-gnu
-host_alias = i686-pc-linux-gnu
-host_triplet = i686-pc-linux-gnu
-target_alias = i686-pc-linux-gnu
-target_triplet = i686-pc-linux-gnu
-ARTSCCONFIG = /opt/kde2/bin/artsc-config
-AS = @AS@
-AUTODIRS = 
-CC = gcc
-CONF_FILES =  $(top_srcdir)/./admin/configure.in.min $(top_srcdir)/configure.in.in
-CPP = gcc -E
-CXX = g++
-CXXCPP = g++ -E
-DCOPIDL = /opt/kde2/bin/dcopidl
-DCOPIDL2CPP = /opt/kde2/bin/dcopidl2cpp
-DCOP_DEPENDENCIES = $(DCOPIDL)
-DLLTOOL = @DLLTOOL@
-DPMSINC = @DPMSINC@
-DPMSLIB = @DPMSLIB@
-EXEEXT = 
-GCJ = @GCJ@
-GCJFLAGS = @GCJFLAGS@
-GLINC = @GLINC@
-GLLIB = @GLLIB@
-GMSGFMT = /usr/bin/msgfmt
-IDL = @IDL@
-IDL_DEPENDENCIES = @IDL_DEPENDENCIES@
-KDB2HTML = /opt/kde2/bin/kdb2html
-KDECONFIG = /opt/kde2/bin/kde-config
-KDE_CXXFLAGS = 
-KDE_EXTRA_RPATH = 
-KDE_INCLUDES = -I/opt/kde2/include
-KDE_LDFLAGS = -L/opt/kde2/lib
-KDE_PLUGIN = -avoid-version -module -no-undefined
-KDE_RPATH = -R $(kde_libraries) -R $(qt_libraries) -R $(x_libraries)
-KDE_USE_CLOSURE_FALSE = #
-KDE_USE_CLOSURE_TRUE = 
-KDE_USE_FINAL_FALSE = 
-KDE_USE_FINAL_TRUE = #
-LIBCOMPAT = 
-LIBCRYPT = -lcrypt
-LIBDL = -ldl
-LIBJPEG = -ljpeg
-LIBMICO = @LIBMICO@
-LIBOBJS = @LIBOBJS@
-LIBPNG = -lpng -lz -lm
-LIBPTHREAD = @LIBPTHREAD@
-LIBPYTHON = @LIBPYTHON@
-LIBQIMGIO = @LIBQIMGIO@
-LIBSM = -lSM -lICE
-LIBSOCKET = 
-LIBTIFF = @LIBTIFF@
-LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIBUCB = 
-LIBZ = -lz
-LIB_KAB = -lkab
-LIB_KDECORE = -lkdecore
-LIB_KDEUI = -lkdeui
-LIB_KFILE = -lkfile
-LIB_KFM = 
-LIB_KFORMULA = -lkformula
-LIB_KHTML = -lkhtml
-LIB_KIMGIO = @LIB_KIMGIO@
-LIB_KIO = -lkio
-LIB_KPARTS = -lkparts
-LIB_KSPELL = -lkspell
-LIB_KSYCOCA = -lksycoca
-LIB_KWRITE = -lkwrite
-LIB_QT = -lqt $(LIBPNG) $(LIBJPEG) -lXext $(LIB_X11) $(LIBSM)
-LIB_SMB = -lsmb
-LIB_X11 = -lX11 $(LIBSOCKET)
-LN_S = ln -s
-MAKEINFO = makeinfo
-MCOPIDL = /opt/kde2/bin/mcopidl
-MICO_INCLUDES = @MICO_INCLUDES@
-MICO_LDFLAGS = @MICO_LDFLAGS@
-MOC = /usr/lib/qt2/bin/moc
-MSGFMT = /usr/bin/msgfmt
-NOOPT_CXXFLAGS =  -fno-exceptions -fno-check-new -Wall -pedantic -W -Wpointer-arith -Wmissing-prototypes -Wwrite-strings -Wno-long-long -Wnon-virtual-dtor -fno-builtin -g2 -Wall -fexceptions -DQT_THREAD_SUPPORT
-NOREPO = -fno-repo
-OBJDUMP = @OBJDUMP@
-OBJEXT = o
-PACKAGE = activemirrorcontrol
-PAMINC = @PAMINC@
-PAMLIBPATHS = @PAMLIBPATHS@
-PAMLIBS = @PAMLIBS@
-PYTHONINC = @PYTHONINC@
-PYTHONLIB = @PYTHONLIB@
-PYTHONMODDIR = @PYTHONMODDIR@
-QT_INCLUDES = -I/usr/lib/qt2/include
-QT_LDFLAGS = -L/usr/lib/qt2/lib
-RANLIB = ranlib
-REPO = -frepo
-STRIP = strip
-TOPSUBDIRS =  activemirrorcontrol doc po
-UIC = /usr/lib/qt2/bin/uic
-USER_INCLUDES = 
-USER_LDFLAGS = 
-USE_EXCEPTIONS = -fexceptions
-USE_RTTI = -frtti
-USE_THREADS = @USE_THREADS@
-VERSION = 0.1
-XGETTEXT = /usr/bin/xgettext
-XPMINC = @XPMINC@
-XPMLIB = @XPMLIB@
-X_EXTRA_LIBS = 
-X_INCLUDES = -I/usr/X11R6/include
-X_LDFLAGS = -L/usr/X11R6/lib
-X_PRE_LIBS = 
-all_includes = -I/opt/kde2/include -I/usr/lib/qt2/include -I/usr/X11R6/include 
-all_libraries = -L/usr/X11R6/lib -L/usr/lib/qt2/lib -L/opt/kde2/lib 
-idldir = @idldir@
-kde_appsdir = ${prefix}/share/applnk
-kde_bindir = ${exec_prefix}/bin
-kde_confdir = ${prefix}/share/config
-kde_datadir = ${prefix}/share/apps
-kde_htmldir = ${prefix}/share/doc/HTML
-kde_icondir = ${prefix}/share/icons
-kde_includes = /opt/kde2/include
-kde_libraries = /opt/kde2/lib
-kde_libs_htmldir = /opt/kde2/share/doc/HTML
-kde_libs_prefix = /opt/kde2
-kde_locale = ${prefix}/share/locale
-kde_mimedir = ${prefix}/share/mimelnk
-kde_moduledir = ${prefix}/lib/kde2
-kde_servicesdir = ${prefix}/share/services
-kde_servicetypesdir = ${prefix}/share/servicetypes
-kde_sounddir = ${prefix}/share/sounds
-kde_templatesdir = ${prefix}/share/templates
-kde_wallpaperdir = ${prefix}/share/wallpapers
-micodir = @micodir@
-qt_includes = /usr/lib/qt2/include
-qt_libraries = /usr/lib/qt2/lib
-x_includes = /usr/X11R6/include
-x_libraries = /usr/X11R6/lib
-
-POFILES = AUTO
-mkinstalldirs = $(SHELL) $(top_srcdir)/admin/mkinstalldirs
-CONFIG_HEADER = ../config.h
-CONFIG_CLEAN_FILES = 
-DIST_COMMON =  Makefile.am Makefile.in
-
-
-#>- DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)
-#>+ 4
-KDE_DIST=activemirrorcontrol.pot 
-
-DISTFILES= $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST) $(KDE_DIST)
-
-
-TAR = tar
-GZIP_ENV = --best
-#>- all: all-redirect
-#>+ 1
-all: docs-am  all-redirect
-.SUFFIXES:
-$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
-#>- 	cd $(top_srcdir) && $(AUTOMAKE) --gnu po/Makefile
-#>+ 2
-	cd $(top_srcdir) && $(AUTOMAKE) --gnu po/Makefile
-	cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
-
-Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
-	cd $(top_builddir) \
-	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status
-
-tags: TAGS
-TAGS:
-
-
-distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)
-
-subdir = po
-
-distdir: $(DISTFILES)
-	here=`cd $(top_builddir) && pwd`; \
-	top_distdir=`cd $(top_distdir) && pwd`; \
-	distdir=`cd $(distdir) && pwd`; \
-	cd $(top_srcdir) \
-	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu po/Makefile
-	@for file in $(DISTFILES); do \
-	  d=$(srcdir); \
-	  if test -d $$d/$$file; then \
-	    cp -pr $$d/$$file $(distdir)/$$file; \
-	  else \
-	    test -f $(distdir)/$$file \
-	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
-	    || cp -p $$d/$$file $(distdir)/$$file || :; \
-	  fi; \
-	done
-info-am:
-info: info-am
-dvi-am:
-dvi: dvi-am
-check-am: all-am
-check: check-am
-installcheck-am:
-installcheck: installcheck-am
-install-exec-am:
-install-exec: install-exec-am
-
-install-data-am:
-install-data: install-data-am
-
-install-am: all-am
-	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
-install: install-am
-uninstall-am:
-uninstall: uninstall-am
-all-am: Makefile
-all-redirect: all-am
-install-strip:
-	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
-installdirs:
-
-
-mostlyclean-generic:
-
-clean-generic:
-
-distclean-generic:
-	-rm -f Makefile $(CONFIG_CLEAN_FILES)
-	-rm -f config.cache config.log stamp-h stamp-h[0-9]*
-
-maintainer-clean-generic:
-mostlyclean-am:  mostlyclean-generic
-
-mostlyclean: mostlyclean-am
-
-clean-am:  clean-generic mostlyclean-am
-
-#>- clean: clean-am
-#>+ 1
-clean: kde-rpo-clean  clean-am
-
-distclean-am:  distclean-generic clean-am
-	-rm -f libtool
-
-distclean: distclean-am
-
-maintainer-clean-am:  maintainer-clean-generic distclean-am
-	@echo "This command is intended for maintainers to use;"
-	@echo "it deletes files that may require special tools to rebuild."
-
-maintainer-clean: maintainer-clean-am
-
-.PHONY: tags distdir info-am info dvi-am dvi check check-am \
-installcheck-am installcheck install-exec-am install-exec \
-install-data-am install-data install-am install uninstall-am uninstall \
-all-redirect all-am all installdirs mostlyclean-generic \
-distclean-generic clean-generic maintainer-clean-generic clean \
-mostlyclean distclean maintainer-clean
-
-
-# Tell versions [3.59,3.63) of GNU make to not export all variables.
-# Otherwise a system limit (for SysV at least) may be exceeded.
-.NOEXPORT:
-
-#>+ 2
-docs-am:
-
-#>+ 5
-force-reedit:
-		cd $(top_srcdir) && $(AUTOMAKE) --gnu po/Makefile
-	cd $(top_srcdir) && perl admin/am_edit po/Makefile.in
-
-
-#>+ 2
-final:
-	$(MAKE) all-am
-#>+ 2
-no-final:
-	$(MAKE) all-am
-#>+ 3
-cvs-clean:
-	$(MAKE) -f $(top_srcdir)/admin/Makefile.common cvs-clean
-
-#>+ 3
-kde-rpo-clean:
-	-rm -f *.rpo