Index: trunk/MagicSoft/Mars/mbadpixels/MBadPixelsPix.h
===================================================================
--- trunk/MagicSoft/Mars/mbadpixels/MBadPixelsPix.h	(revision 3434)
+++ trunk/MagicSoft/Mars/mbadpixels/MBadPixelsPix.h	(revision 3435)
@@ -6,6 +6,6 @@
 #endif
 
-#ifndef ROOT_TArrayC
-#include <TArrayC.h>
+#ifndef ROOT_TArrayI
+#include <TArrayI.h>
 #endif
 
@@ -13,5 +13,5 @@
 {
 private:
-    TArrayC fInfo;
+    TArrayI fInfo;
 
 public:
@@ -108,37 +108,37 @@
 
     Bool_t IsHiGainSaturation         () const
-      { return !(fInfo[1] | ~kHiGainSaturation         == ~kHiGainSaturation );         }
+      { return !((fInfo[1] | ~kHiGainSaturation)         == ~kHiGainSaturation );         }
     Bool_t IsLoGainSaturation         () const
-      { return !(fInfo[1] | ~kLoGainSaturation         == ~kLoGainSaturation );         }
+      { return !((fInfo[1] | ~kLoGainSaturation)         == ~kLoGainSaturation );         }
     Bool_t IsCombinedMethodNotValid   () const
-      { return !(fInfo[1] | ~kCombinedMethodNotValid   == ~kCombinedMethodNotValid );   }
+      { return !((fInfo[1] | ~kCombinedMethodNotValid)   == ~kCombinedMethodNotValid );   }
     Bool_t IsPINDiodeMethodNotValid   () const
-      { return !(fInfo[1] | ~kPINDiodeMethodNotValid   == ~kPINDiodeMethodNotValid );   }
+      { return !((fInfo[1] | ~kPINDiodeMethodNotValid)   == ~kPINDiodeMethodNotValid );   }
     Bool_t IsFFactorMethodNotValid    () const
-      { return !(fInfo[1] | ~kFFactorMethodNotValid    == ~kFFactorMethodNotValid );    }
+      { return !((fInfo[1] | ~kFFactorMethodNotValid)    == ~kFFactorMethodNotValid );    }
     Bool_t IsBlindPixelMethodNotValid () const
-      { return !(fInfo[1] | ~kBlindPixelMethodNotValid == ~kBlindPixelMethodNotValid ); }
+      { return !((fInfo[1] | ~kBlindPixelMethodNotValid) == ~kBlindPixelMethodNotValid ); }
     Bool_t IsMeanTimeInLastBin        () const
-      { return !(fInfo[1] | ~kMeanTimeInLastBin        == ~kMeanTimeInLastBin );        }
+      { return !((fInfo[1] | ~kMeanTimeInLastBin)        == ~kMeanTimeInLastBin );        }
     Bool_t IsMeanTimeInFirstBin       () const
-      { return !(fInfo[1] | ~kMeanTimeInFirstBin       == ~kMeanTimeInFirstBin );       }
+      { return !((fInfo[1] | ~kMeanTimeInFirstBin)       == ~kMeanTimeInFirstBin );       }
     Bool_t IsLoGainOscillating        () const
-      { return !(fInfo[1] | ~kLoGainOscillating        == ~kLoGainOscillating );        }
+      { return !((fInfo[1] | ~kLoGainOscillating)        == ~kLoGainOscillating );        }
     Bool_t IsHiGainOscillating        () const
-      { return !(fInfo[1] | ~kHiGainOscillating        == ~kHiGainOscillating );        }
+      { return !((fInfo[1] | ~kHiGainOscillating)        == ~kHiGainOscillating );        }
     Bool_t IsConvHiLoNotValid         () const
-      { return !(fInfo[1] | ~kConvHiLoNotValid         == ~kConvHiLoNotValid );         }
+      { return !((fInfo[1] | ~kConvHiLoNotValid)         == ~kConvHiLoNotValid );         }
     Bool_t IsChargeSigmaNotValid      () const
-      { return !(fInfo[1] | ~kChargeSigmaNotValid      == ~kChargeSigmaNotValid );      }
+      { return !((fInfo[1] | ~kChargeSigmaNotValid)      == ~kChargeSigmaNotValid );      }
     Bool_t IsChargeRelErrNotValid     () const
-      { return !(fInfo[1] | ~kChargeRelErrNotValid     == ~kChargeRelErrNotValid );     }
+      { return !((fInfo[1] | ~kChargeRelErrNotValid)     == ~kChargeRelErrNotValid );     }
     Bool_t IsChargeErrNotValid        () const
-      { return !(fInfo[1] | ~kChargeErrNotValid        == ~kChargeErrNotValid );        }
+      { return !((fInfo[1] | ~kChargeErrNotValid)        == ~kChargeErrNotValid );        }
     Bool_t IsChargeIsPedestal         () const
-      { return !(fInfo[1] | ~kChargeIsPedestal         == ~kChargeIsPedestal );         }
+      { return !((fInfo[1] | ~kChargeIsPedestal)         == ~kChargeIsPedestal );         }
     Bool_t IsLoGainNotFitted          () const
-      { return !(fInfo[1] | ~kLoGainNotFitted          == ~kLoGainNotFitted );          }
+      { return !((fInfo[1] | ~kLoGainNotFitted)          == ~kLoGainNotFitted );          }
     Bool_t IsHiGainNotFitted          () const
-      { return !(fInfo[1] | ~kHiGainNotFitted          == ~kHiGainNotFitted );          }
+      { return !((fInfo[1] | ~kHiGainNotFitted)          == ~kHiGainNotFitted );          }
 
     Bool_t IsLoGainBad() const { return IsLoGainSaturation()
@@ -155,6 +155,6 @@
     Bool_t IsCalibrationFitOK() const    { return !( (IsHiGainSaturation() && IsHiGainNotFitted())
                                                      || ( IsLoGainSaturation() && IsLoGainNotFitted()) ); }
-    Bool_t IsCalibrationOscillating() const  { return ( IsHiGainSaturation() && IsHiGainOscillating()) 
-                                                 || ( IsLoGainSaturation() && IsLoGainOscillating()) ; }
+    Bool_t IsCalibrationOscillating() const  { return ( !IsHiGainSaturation() && IsHiGainOscillating()) 
+                                                 || ( IsHiGainSaturation() && IsLoGainOscillating()) ; }
     Bool_t IsCalibrationResultOK() const  {  return IsCalibrationSignalOK()
                                                && !(IsCalibrationOscillating())
@@ -173,5 +173,5 @@
     void Merge(const MBadPixelsPix &pix);
 
-    const TArrayC &GetInfo() const { return fInfo; }
+    const TArrayI &GetInfo() const { return fInfo; }
 
     ClassDef(MBadPixelsPix, 1)	// Storage Container for bad pixel information of a single pixel